
QGIS Application - Feature request #3831

Add customizable Online Resource for QGIS-mapserver to be configurable via properties-section in 

projectfile

2011-05-18 04:31 AM - Marco Lechner

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: QGIS Server

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 13889

Description

When using qgis-mapserver with a map-parameter pointing to a qgis-projectfile, the Online Resource in the [[GetCapabilities]] Doc is

served without this parameter. As a result clients using the informations in [[GetCapabilities]] doc will not be able to create correct

requests for [[GetMap]] or [[GetFeatureInfo]]. qgis is one of those clients where this could run into problems.

Solution: add fields in the project definitions to provide a custom URL used for the [[GetCapa]]-doc. this makes it possible to add the

correct URLs including the map-parameter.

History

#1 - 2012-10-06 02:35 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2013-04-12 02:55 PM - Marco Lechner

- Pull Request or Patch supplied set to No

- Resolution set to fixed

- Status changed from Open to Closed

seems to be implemented somewhen during the last months
